var os = require('os');
const fs = require("fs");
var diskspace = require("diskspace");
const args = require("yargs").argv;

var total_ram = os.totalmem();
var start_ram = total_ram - os.freemem();
var start_disk;
console.log(args);
var path = args.r
? "./results/add_random_csv_monitor.csv"
: "./results/add_csv_monitor.csv";

console.log(path);
var stream = fs.createWriteStream(path, {flags: "w+"});
stream.write("time,disk,ram\n");

// function init_server (){
//     var port = 9030;
//     var ws = new Server({port: port});
//     ws.on("connection", function(w){
//         w.on("message", function(){
//             process.send(max_ram);
//         });
//         w.on("close", function() {
//             ws.close();
//         });
//     });
// }

var check = function(){
    setTimeout(function () {
        diskspace.check("C", function(err, result){
            var disk_used = parseInt(result.used) - parseInt(start_disk);
            var ram_used = total_ram - os.freemem();
            stream.write(Date.now() + "," + ram_used + "," + disk_used + "\n");
            check();
        });
    }, 1);
}

//init_server();
diskspace.check("C", function (err, result){
    start_disk = parseInt(result.used);
    check();
});