"use strict";

const randomstring = require("randomstring");
const tmp = require("tmp");
const fs = require("fs");

function gen_rdm_string (length){
    return randomstring.generate({
        length: length,
        charset: "alphabetic"
    });
}

function gen_rdm_sentence (word_count, word_length){
    return Array(word_count).
        fill(gen_rdm_string(word_length)).
        join(" ");
}

function gen_rdm_paragraph (sentence_count, words_per_sentence, word_length){
    return Array(sentence_count).
        fill(gen_rdm_sentence(words_per_sentence, word_length)).
        join(". ");
}

var gen_random_content = function(p){
    //return file containing p paragraphs
    var tmp_para_array = Array(p).fill(gen_rdm_paragraph(6, 15, 5));
    var tmp_file = tmp.fileSync();
    fs.writeFileSync(tmp_file.name, tmp_para_array.join("\n"));
    return tmp_file.name;
};

var cut_file = function(file_name, size) {
    var result = [];
    var tmp_file;
    var i;
    var data = fs.readFileSync(file_name, "utf8");
    var split = data.split("\n");
    for (i=0; i<split.length; i+=size){
        tmp_file = tmp.fileSync();
        fs.writeFileSync(tmp_file.name, split.slice(i, i+size).join("\n"));
        result.push(tmp_file.name);
    }
    return result;
};

exports.gen_random_content = gen_random_content;
exports.cut_file = cut_file;